@import url('../../../../../styles/styles.less');

@first-card-bg-color: #ffefe3;
@first-card-primary: #ff7f56;

@second-card-bg-color: #efe8fc;
@second-card-primary: #703edb;

@card-font-weight: 800;
@card-font-size: 2em;
.progress-card-container {
  display: grid;
  grid-template-columns: repeat(8, 1fr);
  grid-template-rows: repeat(4, 1fr);
  grid-column-gap: 20px;
  grid-row-gap: 0px;
  width: 45%;
  border-radius: @lms-small-border-radius;
  padding: 1.2em;
  margin: 0 .3em;

  .progress-card__number_text {
    font-weight: @card-font-weight;
    font-size: @card-font-size;
  }

  .progress-card__title_text {
    font-weight: @card-font-weight;
    font-size: @card-font-size;
  }
}

.progress-card-container:nth-child(1) {
  background-color: @first-card-bg-color;
  color: @first-card-primary
}

.progress-card-container:nth-child(2) {
  background-color: @second-card-bg-color;
  color: @second-card-primary;
}

.progress-card__image_container {
  grid-area: 1 / 1 / 5 / 4;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;

  img {
    width: 150px;
    max-width: 100%;
    max-height: 100%;
  }
}

.progress-card__elaboration {
  grid-area: 1 / 4 / 5 / 9;

  display: flex;
  flex-direction: column;
  justify-content: center;
}
